PROFILE_DIR=$1
PROFILE=$2

SHARED=$PROFILE_DIR/SHARED
LOCAL=$PROFILE_DIR/$PROFILE/LOCAL

FILES_D=$PROFILE_DIR/$PROFILE/files.d
RC_D=$PROFILE_DIR/$PROFILE/rc.d

files_d_update() {
	while [ $# -gt 0 ]; do
		file="$FILES_D$1"
		shared_file="$SHARED$1"
		local_file="$LOCAL$1"
		if [ ! -f $file ] || \
			[ -f $shared_file -a $shared_file -nt $file ] || \
			[ -f $local_file  -a $local_file  -nt $file ] ; then
			cat $shared_file $local_file > $file
		fi
		shift
	done
}
